import 'package:flutter/material.dart';
import 'package:krow/core/application/routing/routes.dart';
import 'package:krow/core/presentation/styles/theme.dart';

final appRouter = AppRouter();

class KrowApp extends StatelessWidget {
  const KrowApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp.router(
      routerConfig: appRouter.config(
          deepLinkBuilder: (l) => appRouter.deepLinkBuilder(l)),
      theme: KWTheme.lightTheme,
    );
  }
}
